import React from 'react';
import { PipelineProps } from '../types';
/**
 *
 * React Component to render top-level MongoDB Aggregations in a visual format.
 * Handles overflowed content gracefully by indicating how many other stages are hidden.
 *
 * ```
 * <Pipeline>
 *   <Stage>$match</Stage>
 *   <Stage>$addFields</Stage>
 *   <Stage>$limit</Stage>
 * </Pipeline>
 * ```
 *
 * @param props.children Content that will appear inside of the Pipeline component.
 * @param props.className Classname applied to Pipeline content container.
 * @param props.size Alters the rendered size of the component.
 * @param props.variant Alters the visual appearance of the component.
 */
declare const Pipeline: React.ForwardRefExoticComponent<Omit<PipelineProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default Pipeline;
//# sourceMappingURL=Pipeline.d.ts.map