import React from 'react';
import { StageProps } from '../types';
/**
 * # Stage
 *
 * React Component to render an individual MongoDB Aggregation stage.
 * To be used in conjunction with Pipeline component as a child.
 *
 * ```
 * <Pipeline>
 *   <Stage>$match</Stage>
 *   <Stage>$addFields</Stage>
 *   <Stage>$limit</Stage>
 * </Pipeline>
 * ```
 * @param props.children Content that will appear inside of the Stage component.
 * @param props.className Classname applied to Stage content container.
 * @param props.threshold Either a single number or an array of numbers which indicate at what percentage of the target's visibility the observer's callback should be executed.
 */
export declare const Stage: React.ForwardRefExoticComponent<Omit<StageProps, "ref"> & React.RefAttributes<HTMLLIElement>>;
export default Stage;
//# sourceMappingURL=Stage.d.ts.map