import React from 'react';
import { TooltipTextProps } from './TooltipText.types';
/**
 * # TooltipText
 *
 * React Component to render the TooltipText for the number of hidden hiddenStages in the Pipeline component.
 *
 * input: ['one', 'two']
 * output:
 *  <div>
 *    <span>one</span>
 *    <span><Icon/></span>
 *    <span>two</span>
 *  </div>
 *
 * ```
 * <TooltipText />
 * ```
 * @internal
 */
export declare const TooltipText: {
    ({ hiddenStages }: TooltipTextProps): React.JSX.Element;
    displayName: string;
};
export default TooltipText;
//# sourceMappingURL=TooltipText.d.ts.map